---
title: XREye
slug: Web/API/XREye
tags:
  - API
  - AR
  - Enumerated Type
  - Reality
  - Reference
  - Type
  - VR
  - Viewpoint
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XREye
  - augmented
---
<p>{{APIRef("WebXR Device API")}}</p>

<p><span class="seoSummary">The <code><strong>XREye</strong></code> enumerated type is used to identify which eye a particular {{domxref("XRView")}} represents: <code>left</code> or <code>right</code>; or, if the view doesn't represent a single eye, the value may be <code>none</code>.</span></p>

<h2 id="Values">Values</h2>

<dl>
 <dt><a id="left"><code>left</code></a></dt>
 <dd>The {{domxref("XRView")}} represents the point-of-view of the viewer's left eye.</dd>
 <dt><a id="right"><code>right</code></a></dt>
 <dd>The view represents the viewer's right eye.</dd>
 <dt><a id="none"><code>none</code></a></dt>
 <dd>The <code>XRView</code> describes a monoscopic view, or the view otherwise doesn't represent a particular eye's point-of-view.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>These values are used by the {{domxref("XRView")}} property {{domxref("XRView.eye", "eye")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#enumdef-xreye","XREye")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XREye")}}</div>
